// Created By July IGHOR
// JulyRegApi v1.2
// www.gigasoftgroup.com/JulyRegApi
// julyighor@gigasoftgroup.com

#ifndef JULYREGAPI_H
#define JULYREGAPI_H
class QString;
class QStringList;
class QByteArray;
class JulyRegApi
{
public:
	enum HKEY_LIST
	{
	HK_CLASSES_ROOT=0x80000000,
	HK_CURRENT_USER=0x80000001,
	HK_LOCAL_MACHINE=0x80000002,
	HK_USERS=0x80000003,
	HK_PERFORMANCE_DATA=0x80000004,
	HK_CURRENT_CONFIG=0x80000005
	};

static    QString regReadString(HKEY_LIST,QString path, QString val); //Read QString
static QByteArray regReadArray(HKEY_LIST,QString path, QString val); //Read QByteArray
static        int regReadInt(HKEY_LIST,QString path, QString val); //Read Int
static       bool regWrite(HKEY_LIST,QString path, QString val, QString data, bool createSubKeys=true); //Write QString
static       bool regWrite(HKEY_LIST,QString path, QString val, QByteArray data, bool createSubKeys=true); //Write QByteArray
static       bool regWrite(HKEY_LIST,QString path, QString val, int data, bool createSubKeys=true); //Write int
static 	     bool regRemove(HKEY_LIST,QString path); //Delete Key
static       bool regRemove(HKEY_LIST,QString path, QString val); // Delete Value

static QString shellUserName();
static QString shellComputerName();
static QString shellUserTemp();
static QString shellSystemTemp();
static QString shellWindowsDir();

static void shellSetTempDir(QString);
};

#endif // JULYREGAPI_H
